#include "vedirect_products.h"

const VeDirectProduct *veDirectInverterFunc(un16 pid);
const VeDirectProduct *veDirectSolarFunc(un16 pid);
const VeDirectProduct *veDirectBmvFunc(un16 pid);
const VeDirectProduct *veDirectUnknownFunc(un16 pid);

static VeDirectFunc const allFuncs[] =
{
	veDirectBmvFunc,
	veDirectSolarFunc,
	veDirectInverterFunc,
	veDirectUnknownFunc,
	NULL	/* There is not really a reason to terminate with NULL as veDirectUnknownFunc matches everything */
};


VeDirectFunc const *productsFuncs(void)
{
	return allFuncs;
}
